SecurityTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.dd.SecurityTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.dd
Class SecurityTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.dd.SecurityTagsHandler

public class SecurityTagsHandler
extends EjbTagsHandler

Version:
  $Revision: 1.7 $
Author:
  Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="EjbSec"
created
  Oct 15, 2001

Field Summary
`protected String` | `currentSecurityRoleName` The current security role name, set by forAllSecurityRoles and returned by securityRoleName.

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`SecurityTagsHandler()`

Method Summary
`void` | `forAllSecurityRoles(String template)` Evaluates the body block for each ejb:permission defined in class level or method level.
`String` | `securityRoleName()` Returns current security role name set by the containing forAllSecurityRoles.

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentSecurityRoleName

    protected transient String currentSecurityRoleName

  The current security role name, set by forAllSecurityRoles and returned by securityRoleName. It somehow is like the current index for the forAllSecurityRoles loop.

  See Also:
    `forAllSecurityRoles(java.lang.String)`, `securityRoleName()`

Constructor Detail

### SecurityTagsHandler

    public SecurityTagsHandler()

Method Detail

### securityRoleName

    public String securityRoleName()
                            throws XDocletException

  Returns current security role name set by the containing forAllSecurityRoles.

  Returns:
    Current security role name
  Throws:
    `XDocletException`
  See Also:
    `forAllSecurityRoles(java.lang.String)`
  doc.tag
    type="content"

### forAllSecurityRoles

    public void forAllSecurityRoles(String template)
                             throws XDocletException

  Evaluates the body block for each ejb:permission defined in class level or method level.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `#hasPermission(xjavadoc.XDoc)`, `securityRoleName()`
  doc.tag
    type="block"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD